Skip to navigation

Delete Subscribers

By default, it deletes all subscribers. Use a filter to avoid deleting all subscribers in a store.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

emailstringOptional
Filter items by email.
first_namestringOptional

Filter items by first_name.

last_namestringOptional

Filter items by last_name.

sourcestringOptional
Filter items by source.
order_idintegerOptional

Filter items by order_id.

date_createddatetimeOptional

Filter items by date_created.

date_modifieddatetimeOptional

Filter items by date_modified. For example v3/catalog/products?date_last_imported:min=2018-06-15

Response

No Content